oprofile (1.2.0-0ubuntu2) artful; urgency=medium

  * No-change rebuild for binutils 2.29.1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Sep 2017 15:13:27 +0200

oprofile (1.2.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
    - Adds POWER9 support. LP: #1705517.
    - Recognizes POWER8NV and POWER8NVL variants. LP: #1667474.
  * Remove obsolete patches.
  * Don't suggest the removed oprofile-gui package. LP: #1627159.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Aug 2017 16:39:35 +0200

oprofile (1.1.0-0ubuntu7) artful; urgency=medium

  * No-change rebuild against binutils 2.29

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 29 Jul 2017 10:17:18 -0700

oprofile (1.1.0-0ubuntu6) zesty; urgency=medium

  * No-change rebuild against binutils

 -- Andy Whitcroft <apw@ubuntu.com>  Sun, 05 Mar 2017 13:25:49 +0000

oprofile (1.1.0-0ubuntu5) yakkety; urgency=medium

  * Cherry-pick more platforms from upstream git.
    - Skylake Server (LP: #1591812)
    - Kabylake (LP: #1591643)

 -- Robert Hooker <sarvatt@ubuntu.com>  Thu, 08 Sep 2016 12:31:43 -0400

oprofile (1.1.0-0ubuntu4) yakkety; urgency=medium

  * Fix build failure with GCC 6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Aug 2016 15:40:28 +0200

oprofile (1.1.0-0ubuntu3) yakkety; urgency=medium

  * Rebuild for binutils 2.27.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Aug 2016 15:29:12 +0200

oprofile (1.1.0-0ubuntu2) yakkety; urgency=medium

  * Cherrypick platfroms from upstream git and mailing list:
    - Goldmont
    - z13 LP: #1581540

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 May 2016 11:10:58 +0100

oprofile (1.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 20:16:44 +0100

oprofile (1.0.0-0ubuntu11) xenial; urgency=medium

  * Fix build failure with binutils libs located in the multiarch libdir.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 21:53:50 +0100

oprofile (1.0.0-0ubuntu10) xenial; urgency=medium

  * No-change rebuild for binutils 2.26.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 16:43:59 +0000

oprofile (1.0.0-0ubuntu9) vivid; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Dec 2014 10:04:47 +0100

oprofile (1.0.0-0ubuntu8) vivid; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Dec 2014 00:35:05 +0100

oprofile (1.0.0-0ubuntu7) vivid; urgency=medium

  * Rebuild against binutils 2.24.90.20141124.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Dec 2014 11:13:19 +0000

oprofile (1.0.0-0ubuntu6) vivid; urgency=medium

  * Rebuild against binutils 2.24.90.20141111.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 19:49:10 +0000

oprofile (1.0.0-0ubuntu5) vivid; urgency=medium

  * Rebuild against binutils 2.24.90.20141104.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Nov 2014 00:51:28 +0100

oprofile (1.0.0-0ubuntu4) vivid; urgency=medium

  * Rebuild against binutils 2.24.90.20141023.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Oct 2014 15:18:30 +0000

oprofile (1.0.0-0ubuntu3) utopic; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Oct 2014 13:42:07 +0200

oprofile (1.0.0-0ubuntu2) utopic; urgency=medium

  * Don't compress documentation files. LP: #1364443.
  * Configure with --disable-account-check. LP: #1240923.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Oct 2014 01:40:59 +0200

oprofile (1.0.0-0ubuntu1) utopic; urgency=medium

  * oprofile 1.0.0 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Sep 2014 02:52:41 +0200

oprofile (1.0.0~rc2-0ubuntu1) utopic; urgency=medium

  * oprofile 1.0.0 release candidate 2.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 14:59:02 +0200

oprofile (1.0.0~rc1-0ubuntu1) utopic; urgency=medium

  * oprofile 1.0.0 release candidate 1.
    - the opcontrol tool is removed.
  * Remove the oprofile-gui package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Aug 2014 09:44:45 +0200

oprofile (1.0.0~20140808-0ubuntu1) utopic; urgency=medium

  * Snapshot, taken from the trunk on 20140808.
  * Drop patches applied upstream.
  * Fix build failure. LP: #1354457.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2014 16:16:39 +0200

oprofile (0.9.9-0ubuntu11) utopic; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jul 2014 17:48:36 +0200

oprofile (0.9.9-0ubuntu10) utopic; urgency=medium

  * No change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Jul 2014 00:04:49 +0200

oprofile (0.9.9-0ubuntu9) utopic; urgency=medium

  * Switch to dh-autoreconf, and use the current version of automake.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Jul 2014 10:35:12 +0100

oprofile (0.9.9-0ubuntu8) trusty; urgency=medium

  * debian/patches/Fix-up-event-codes-for-marked-architected-events.patch:
    Fix up event codes for marked architected events.  Thanks to
    Maynard Johnson <maynardj@us.ibm.com>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 04 Apr 2014 16:20:03 -0700

oprofile (0.9.9-0ubuntu7) trusty; urgency=medium

  * Drop debian/patches/static-libbfd-libopagnet-makefile.patch, which is
    causing libopagent to incorrectly avoid linking with libbfd, instead of
    linking with the available libbfd.so.
  * Amend debian/patches/static-libbfd.patch; we'll still link oprofile
    statically, but we want libopagent linked dynamically.  LP: #1148682.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Mar 2014 02:33:39 +0000

oprofile (0.9.9-0ubuntu6) trusty; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * Add a package for the jvmti_oprofile runtime library.

  [ Steve Langasek ]
  * Build-depend on default-jdk, instead of a hard-coded list.
  * Fix broken 'clean' target.
  * debian/patches/op-POWER8.patch: Make cpu type POWER8E equivalent to
    POWER8.  Thanks to Maynard Johnson <maynardj@us.ibm.com>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Mar 2014 14:03:05 -0700

oprofile (0.9.9-0ubuntu5) trusty; urgency=medium

  * Build-depend on libpfm4-dev [ppc64 ppc64el].

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2014 14:02:05 +0100

oprofile (0.9.9-0ubuntu4) trusty; urgency=medium

  * More ppc64el fixes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2014 13:27:35 +0100

oprofile (0.9.9-0ubuntu3) trusty; urgency=medium

  * Build-depend on libiberty-dev.
  * Fix build on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2014 21:26:37 +0100

oprofile (0.9.9-0ubuntu2) trusty; urgency=medium

  * Set architecture to linux-any.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2014 21:10:48 +0100

oprofile (0.9.9-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2014 21:00:09 +0100

oprofile (0.9.8-0ubuntu3) saucy; urgency=low

  * Add Aarch64 support, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2013 13:35:54 +0200

oprofile (0.9.8-0ubuntu2) raring; urgency=low

  [ Antonio Rosales ]
  * Fix Haswell client support (LP: #1161279).
    - d/p/add_haswell_client_support.patch: Cherry picked fix from upstream VCS
      to add support for Haswell client event lists and model numbers.

  [ James Page ]
  * Fix FTBFS on powerpc architecture:
    - d/p/fix-ppc32.patch: Cherry picked fix from upstream VCS to ensure that
      libpfm is only used on ppc64 architectures. 

 -- Antonio Rosales <antonio.rosales@canonical.com>  Thu, 28 Mar 2013 02:27:04 -0500

oprofile (0.9.8-0ubuntu1) quantal; urgency=low

  [ Antonio Rosales ]
  * New upstream release (LP: #1039871).
    - Refreshed patches.
    - d/patches/arm-*: Dropped arm patches - included upstream.
    - d/patches/0005-add-back-error_if_not_basename.patch: Dropped 
      as fixed upstream.
    - d/patches/{000*,nomutable}.patch: Dropped all other upstream
      sourced patches as all are included in this release.
  * Switch to dpkg-source 3.0 (quilt) format:
    - d/control: Drop explicit BD on quilt
    - d/rules: Remove quilt rules and unpatch usage.
  * Add Changlog to specifically indicate upstream is now using 'git log'
    as dh was looking for a 'Changelog' file.

  [ James Page ]
  * Transition package to use qt4:
    - d/control: Switch qt3 BD's to qt4 equivalents.
    - d/control: Added new BD's on pkg-config and libx11-dev.
  * d/rules: Clear dependency_libs field in .la files.

 -- Antonio Rosales <antonio.rosales@canonical.com>  Thu, 04 Oct 2012 11:51:02 +0100

oprofile (0.9.6-1.3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Split out libopagent1 runtime library.
    - debian/oprofile.postinst: Really really make it work this time by
      adding the oprofile:oprofile system user and group as required for
      JIT support (see README_PACKAGERS)
    - Add documentation about vmlinux / linux-image-debug.ddeb.
    - debian/patches/arm-factor-out-armv7-common-architectural-events,
      debian/patches/arm-correct-usage-of-core-technology-for-v7-and-mpcore,
      debian/patches/arm-add-support-for-cortex-a9-events:
      ARMv7 cleanup and Cortex-A9 support, backported from
      http://article.gmane.org/gmane.linux.oprofile/8563.
    - Statically link libbfd.  (LP #588033)
  * SECURITY UPDATE: arbitrary file overwrite
    - 0005-add-back-error_if_not_basename.patch: readd error_if_not_basename()
      which was removed in 0003-Avoid-blindly-source-SETUP_FILE-with.patch

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 07 Jul 2011 11:28:06 -0500

oprofile (0.9.6-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #622494).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 18:50:15 +0200

oprofile (0.9.6-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch by William Cohen to not use mutable for reference variable 
    (Closes: #625060)
  * Add patches by William Cohen to fix argument sanitation, CVE-2011-1760.
    This fixes the arbitrary command execution via opcontrol. (Closes: #624212)

 -- Luciano Bello <luciano@debian.org>  Fri, 20 May 2011 01:38:53 -0300

oprofile (0.9.6-1.1ubuntu2) natty; urgency=low

  * Build on ppc64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Feb 2011 19:54:14 +0000

oprofile (0.9.6-1.1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Split out libopagent1 runtime library.
    - debian/oprofile.postinst: Really really make it work this time by
      adding the oprofile:oprofile system user and group as required for
      JIT support (see README_PACKAGERS)
    - Add documentation about vmlinux / linux-image-debug.ddeb.
    - debian/patches/arm-factor-out-armv7-common-architectural-events,
      debian/patches/arm-correct-usage-of-core-technology-for-v7-and-mpcore,
      debian/patches/arm-add-support-for-cortex-a9-events:
      ARMv7 cleanup and Cortex-A9 support, backported from
      http://article.gmane.org/gmane.linux.oprofile/8563.
  * Statically link libbfd.  (LP: #588033)

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 11 Sep 2010 18:21:40 +0200

oprofile (0.9.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch by Yukiharu YABUKI to staticaly link against libbfd
   (Closes: #537744, #573905)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 22 Apr 2010 15:43:12 +0200

oprofile (0.9.6-1ubuntu10) maverick; urgency=low

  * Rebuild against latest binutils.

 -- Loïc Minier <loic.minier@linaro.org>  Wed, 25 Aug 2010 16:14:06 +0200

oprofile (0.9.6-1ubuntu9) maverick; urgency=low

  * Rebuild against latest binutils; bump build-dep to dep-wait on sparc.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 17 Jun 2010 23:36:56 +0200

oprofile (0.9.6-1ubuntu8) maverick; urgency=low

  * New patches, ARMv7 cleanup and Cortex-A9 support, backported from
    http://article.gmane.org/gmane.linux.oprofile/8563; LP: #591862.
    - arm-factor-out-armv7-common-architectural-events
    - arm-correct-usage-of-core-technology-for-v7-and-mpcore
    - arm-add-support-for-cortex-a9-events

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 17 Jun 2010 13:10:23 +0200

oprofile (0.9.6-1ubuntu7) maverick; urgency=low

  * Yet another no change rebuild for binutils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jun 2010 19:47:26 +0100

oprofile (0.9.6-1ubuntu6) maverick; urgency=low

  * No change rebuild for binutils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jun 2010 14:39:59 +0100

oprofile (0.9.6-1ubuntu5) maverick; urgency=low

  * Rebuild for binutils from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Apr 2010 23:25:13 +0000

oprofile (0.9.6-1ubuntu4) lucid; urgency=low

  * Rebuild with binutils (>= 2.20.1-3ubuntu2).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Mar 2010 03:44:52 +0200

oprofile (0.9.6-1ubuntu3) lucid; urgency=low

  * Rebuild against binutils-2.20.1 (with fixed shlibs files).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Mar 2010 18:15:24 +0100

oprofile (0.9.6-1ubuntu2) lucid; urgency=low

  * Rebuild against binutils-2.20.1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Mar 2010 16:29:42 +0100

oprofile (0.9.6-1ubuntu1) lucid; urgency=low

  [ Matthias Klose ]
  * Merge with Debian (no remaining changes). LP: #495140.
  * Split out libopagent1 runtime library.

  [ Elliot Murphy ]
  * debian/oprofile.postinst (LP: #525932)
    - Really really make it work this time by adding the
      oprofile:oprofile system user and group as required
      for JIT support (see README_PACKAGERS)

  [ Steffen Neumann ]
  * Add documentation about vmlinux / linux-image-debug.ddeb. LP: #497424.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Feb 2010 08:47:38 +0100

oprofile (0.9.6-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Wed, 09 Dec 2009 16:43:54 -0500

oprofile (0.9.5-1) unstable; urgency=low

  * Add myself as Uploader, thanks to LIU Qi for accepting me as co-maintainer
  * New upstream release (Closes: #496146)
  * Remove README.Debian, which was outdated
  * Update to Standards-Version 3.8.3 (no changes)
  * Add myself to debian/copyright
  * Add doc-base registration
  * Use quilt to manage changes to upstream sources
  * Make oprofile be able to start in timer mode, thanks to Joachim
    Berdal Haga for the patch (Closes: #548574)
  * Do not remove JIT profiling support (Closes: #543681)
  * Support for DEB_BUILD_OPTIONS=noopt (Closes: #429157)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 21 Nov 2009 14:01:23 -0500

oprofile (0.9.4+cvs20090629-2.1ubuntu4) lucid; urgency=low

  * debian/rules (LP: #525932)
    - Need opjitconv installed to enable JIT profiling of unladen swallow.

 -- Elliot Murphy <elliot@ubuntu.com>  Mon, 22 Feb 2010 12:36:20 -0500

oprofile (0.9.4+cvs20090629-2.1ubuntu3) lucid; urgency=low

  * Remove debian/patches/unstatic_libbfd.patch.  It caused oprofile to
    break on every binutils upgrade because the libbfd soname changes
    frequently.  Presumably for this reason, the package description for
    binutils-dev says “Note that building Debian packages which depend on
    the shared libbfd is Not Allowed.”  (LP: #426614)
  * Don’t build-depend autoconf (just to keep the Debian diff smaller;
    this actually has no effect since automake1.10 already depends
    autoconf).
  * Undo the change in -2.1ubuntu2 to the versioned build-dependency on
    binutils-dev.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 18 Oct 2009 14:40:37 -0400

oprofile (0.9.4+cvs20090629-2.1ubuntu2) karmic; urgency=low

  * Rebuild using binutils-dev 2.20. LP: #426614.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Oct 2009 12:26:17 +0200

oprofile (0.9.4+cvs20090629-2.1ubuntu1) karmic; urgency=low

  * Merge with unstable; no changes in ubuntu changes.
  * Rebuild against current binutils-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Sep 2009 21:35:47 +0200

oprofile (0.9.4+cvs20090629-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on automake1.10 specifically, as it is the version used
    by debian/rules; fix FTBFS (Closes: #543111)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 07 Sep 2009 16:35:58 +0200

oprofile (0.9.4+cvs20090629-2ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #392346), remaining changes:
    - debian/control:
      + Add LPIA architecture.
      + Build-depend on autoconf, ppu-binutils [powerpc] and quilt.
    - debian/patches/config-in-etc.patch, debian/oprofile-gui.postinst:
      + Move configuration file to /etc.
    - debian/patches/oprofile-sdk3-m4.diff:
      + Change m4 file for SDK build process.
    - debian/patches/oprofile-sdk3-stackcode.diff:
      + Add changes to allow profiling of code that the SPU runtime
        dynamically creates and runs on the stack.
    - debian/patches/unstatic_libbfd.patch:
      + Link bfd dynamically.
    - debian/rules:
      + Add patch/unpatch targets in debian/rules.
      + On powerpc configure --with-target=cell-be.
  * Changes dropped:
    - debian/patches/libc_open.patch: fixed upstream.
    - debian/patches/oprofile-sdk3-opcontrol.diff: fixed upstream.
  * Fixes LP: #310824, LP: #322074.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Mon, 27 Jul 2009 00:30:16 +0100

oprofile (0.9.4+cvs20090629-2) unstable; urgency=low

  * daemon/opd_perfmon.c: Fix the FTBFS bug on ia64 system.
  * configure.in, m4/binutils.m4: libbfd needs to be linked statically
    (Closes: #537744).
  * debian/control: add mipsel and s390 to architecture.

 -- LIU Qi <liuqi82@gmail.com>  Mon, 20 Jul 2009 09:52:26 +0800

oprofile (0.9.4+cvs20090629-1) unstable; urgency=low

  * New maintainer (Closes: #525737)
  * New upstream version (Closes: #525914)
   - Remove the debian/patches
  * Remove the patch and unpack targets in debian/rules
  * Upgrade the standard version
  * Add the homepage and vcs information
  * Remove the java oprofile binary
  * Add the Recommends binutils in debian/control (Closes: #471406)
  * Change the /bin/sh to /bin/bash in utils/opcontrol to avoid 
    bashism (Closes: #471883)
  * Update the package description (Closes: #503850)
  * Remove the outdated documentation oprofile-source.HOWTO-* (Closes: #436700)
  * Remove the useless documentation debian/NOTES
  * Update the copyright information
  * Add debian/watch file

 -- LIU Qi <liuqi82@gmail.com>  Thu, 16 Jul 2009 16:15:20 +0800

oprofile (0.9.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Actually link with the static libbfd.  Build-depend on zlib1g-dev because
    binutils-dev doesn't depend on it, and on automake so we can run
    autoreconf.  Closes: #515908.

 -- Julien Cristau <jcristau@debian.org>  Thu, 02 Apr 2009 11:19:14 +0200

oprofile (0.9.3-2ubuntu3) karmic; urgency=low

  * Rebuild against current binutils.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 15 May 2009 10:14:59 +0300

oprofile (0.9.3-2ubuntu2) jaunty; urgency=low

  * Rebuild with binutils-2.19.1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Feb 2009 10:45:27 +0000

oprofile (0.9.3-2ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable (LP: #305919), remaining changes:
    - Configuration file in /etc.
    - On powerpc configure --with-target=cell-be.
    - Fix for seg fault in opreport when using --xml and --details.
    - Change for opcontrol.  Fix problem running on system using
      a network file system with different time base.
    - Change m4 file for SDK build process.
    - Add changes to allow profiling of code that the SPU runtime
      dynamically creates and runs on the stack.
  * Ubuntu changes dropped:
    - fix bashisms in opcontrol script, added in Debian
  * Re-add the Build-Depends that the Debian maintainer removed, they were 
    needed.
  * Added a patch to call open with three arguments to fix FTBFS.
  * Added a patch to link bfd dynamically.

 -- David Mandala <davidm@canonical.com>  Sat, 06 Dec 2008 22:50:11 -0800

oprofile (0.9.3-2) unstable; urgency=low

  * Closes: bug#415827 -- manpage corrected upstream so that all options are
    now unique
  * Update to latest Debian standards version.
  * Closes: bug#420815 -- find separate debug files in archive properly (patch
    applied)
  * Closes: bug#450607 -- oprof_start no longer links against libbfd.so (used
    patch from submitter)
  * Closes: bug#446360 -- similar problem with libbfd; the patch for 450607
    was more inclusive, though, so it also fixes this problem; thanks for the
    NMU, nonetheless.
  * Closes: bug#447797 -- remove bashisms from opcontrol (used patch from
    ubuntu)
  * Closes: bug#420760 -- cannot reproduce this problem in 0.9.3 (was reported
    with 0.9.2)
  * Closes: bug#422178 -- cannot reproduce this problem in 0.9.3 (was reported
    with 0.9.2)
  * Closes: bug#428299 -- latest Linux kernel (2.6.23-1 on dual core Intel) no
    longer shows this problem.
  * Closes: bug#424760 -- invalid arithmetic expression in opcontrol script
    replaced in newer versions
  * Closes: bug#456069 -- patched C++ files to accommodate changes in the
    header files for g++ 4.3

 -- Al Stone <ahs3@debian.org>  Sun, 10 Feb 2008 11:51:49 -0700

oprofile (0.9.3-1.1ubuntu2) hardy; urgency=low

  * Add LPIA architecture (LP: #182032)

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 24 Jan 2008 15:05:18 -0500

oprofile (0.9.3-1.1ubuntu1) hardy; urgency=low

  * Merge from debian unstable (LP: #179335), remaining changes:
    - Configuration file in /etc.
    - On powerpc configure --with-target=cell-be.
    - Fix for seg fault in opreport when using --xml and --details.
    - Change for opcontrol.  Fix problem running on system using
      a network file system with different time base.
    - Change m4 file for SDK build process.
    - Add changes to allow profiling of code that the SPU runtime
      dynamically creates and runs on the stack.
  * debian/patches/opcontrol_bashisms:
    - fix bashisms in opcontrol script (LP: #172495)  

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 22 Dec 2007 09:53:22 +0000

oprofile (0.9.3-1.1) unstable; urgency=low

  * NMU
  * link libbfd static (closes: #446360)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 14 Dec 2007 01:26:31 +0900

oprofile (0.9.3-1ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - Configuration file in /etc.
  * On powerpc configure --with-target=cell-be.
  * Import patches from the oprofile-0.9.3-4bsc rpm:
    - Fix for seg fault in opreport when using --xml and --details.
    - Change for opcontrol.  Fix problem running on system using
      a network file system with different time base.
    - Change m4 file for SDK build process.
    - Add changes to allow profiling of code that the SPU runtime
      dynamically creates and runs on the stack.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Sep 2007 11:59:41 +0200

oprofile (0.9.3-1) unstable; urgency=low

  * Update to latest upstream.
  * Convert packaging so that it now uses quilt
  * Remove invocation of autogen.sh -- no longer necessary to do this
  * Closes: bug#417472 -- should no longer FTBS with g++ 4.3
  * Closes: bug#424478 -- acknowledge NMU
  * Closes: bug#434003 -- new upstream, armel support
  * Closes: bug#436697 -- simplified packaging as suggested

 -- Al Stone <ahs3@debian.org>  Sun, 09 Sep 2007 18:40:25 -0600


oprofile (0.9.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Closes: bug#424478 -- Force rebuild with newer binutils, to let orprofile
    understand binaries with --hash-style=gnu.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 31 Aug 2007 18:18:56 +0200

oprofile (0.9.2-4ubuntu1) gutsy; urgency=low

  * Move configuration file to /etc/oprofile, update documentation, and
    handle the migration in postinst and migrate any existing config on
    upgrades (LP: #125649).
  * DebianMaintainerField.

 -- Soren Hansen <soren@ubuntu.com>  Sat, 14 Jul 2007 10:24:15 +0200

oprofile (0.9.2-4) unstable; urgency=low

  * Closes: bug#411286 -- does not work on AMD64, 2.6.19.2 kernel (used
    the patch from bug report).  From Philippe Coval <rzr@users.sf.net>.
  * Closes: bug#410827 -- clean out some bashisms (used the patch from the
    bug report).  This applies the patches from 
    http://lkml.org/lkml/2006/11/22/170 and 
    http://lkml.org/lkml/2006/11/22/172 to make oprofile work on newer
    kernels.  From Jochen Voss <voss@debian.org>.
  
 -- Al Stone <ahs3@debian.org>  Fri, 16 Mar 2007 11:04:46 -0600

oprofile (0.9.2-3) unstable; urgency=low

  * Closes: bug#396749 -- FTBFS: no suitably configured kernel include tree
    found; ./configure needs --with-kernel-support, and not --without.
  * Closes: bug#398506 -- Shouldn't build depend on an unversioned automake;
    corrected dependency.

 -- Al Stone <ahs3@debian.org>  Sat, 18 Nov 2006 20:06:11 -0700


oprofile (0.9.2-2) unstable; urgency=low

  * Deprecating use of oprofile-source; this is only needed for 2.4
    kernels, and is no longer actively maintained.  The functionality
    provided is now included in Linux 2.6 kernels by default.
  * Closes: bug#394017 -- oprofile-source: Obsolete - please remove 
  * Closes: bug#392836 -- oprofile-source: fails to build
  * Closes: bug#395014 -- [PATCH] Make opcontrol work with bash (used
    the patch directly)

 -- Al Stone <ahs3@debian.org>  Sat, 28 Oct 2006 11:41:45 -0600

oprofile (0.9.2-1) unstable; urgency=low

  * Updated to latest upstream source. 
  * Closes: bug#387948 -- OProfile 0.9.2 has been released (request to
    update to latest source)
  * Closes: bug#380462 -- Support for core CPUs (added in this release)
  * Closes: bug#378285 -- missing Depends:binutils in debian/control
  * Since the prospect package no longer exists, remove all references
    to it.

 -- Al Stone <ahs3@debian.org>  Thu, 21 Sep 2006 21:38:42 -0600

oprofile (0.9.1-11) unstable; urgency=low

  * Closes: bug#376879 -- remove 'Recommends' for unavailable package
    oprofile-modules0.9
  * Update Debian Standards-Version.

 -- Al Stone <ahs3@debian.org>  Wed,  5 Jul 2006 18:04:01 -0600


oprofile (0.9.1-10) unstable; urgency=low

  * Closes: bug#357324 -- FTBFS with G++ 4.1: method definition was not in 
    proper enclosing namespace (NB: already fixed in upstream CVS HEAD)

 -- Al Stone <ahs3@debian.org>  Sun,  2 Apr 2006 20:24:49 -0600

oprofile (0.9.1-9) unstable; urgency=low

  * Closes: bug#352910 -- CVE-2006-0576: Untrusted search path vulnerability
    in opcontrol (re-used patch from CVS HEAD)

 -- Al Stone <ahs3@debian.org>  Fri, 17 Feb 2006 11:22:41 -0700

oprofile (0.9.1-8) unstable; urgency=low

  * Closes: bug#344665: minot typo in --start portion of opcontrol man
    page (#344667 is a duplicate of this bug and was merged with this one).

 -- Al Stone <ahs3@debian.org>  Thu, 29 Dec 2005 17:31:03 -0700

oprofile (0.9.1-7) unstable; urgency=low

  * Convert oprofile-source so it uses automake1.9 (instead of 1.7) 

 -- Al Stone <ahs3@debian.org>  Sun, 27 Nov 2005 17:30:36 -0700

oprofile (0.9.1-6) unstable; urgency=low

  * Closes: bug#340381: Cosmetic fix for oprofile.1 manpage 
  * Convert to newer automake (1.9)

 -- Al Stone <ahs3@debian.org>  Sun, 27 Nov 2005 14:59:50 -0700

oprofile (0.9.1-5) unstable; urgency=low

  * Closes: bug#332057: oprofile depends on debconf without | debconf-2.0
    alternate; blocks cdebconf transition 

 -- Al Stone <ahs3@debian.org>  Sat,  8 Oct 2005 12:48:50 -0600

oprofile (0.9.1-4) unstable; urgency=low

  * Closes: bug#328069 -- oprofile-common: Conflicts with old oprofile;
    added proper Replaces and Conflicts

 -- Al Stone <ahs3@debian.org>  Fri, 16 Sep 2005 19:31:04 -0600

oprofile (0.9.1-3) unstable; urgency=low

  * Update to latest standards version.
  * Update to latest libqt3-mt-dev.
  * The bug #300683 is closed by the existence of the 'oprofile-source'
    package.  If a 2.[24].x kernel is used, it will be necessary to build
    your own kernel module; 'oprofile-source' provides the module source.
    For 2.6.x kernels, the module is built by default and included in the
    standard Debian kernel images.  Hence, the goofy pbuilder change listed
    in the previous entry has been removed and the bug closed via another
    mechanism -- you need to build your own oprofile kernel modules.

 -- Al Stone <ahs3@debian.org>  Sat, 10 Sep 2005 13:59:27 -0600

oprofile (0.9.1-2) unstable; urgency=low

  * The 'oprofile-modules' package needed to have a proper Provides: for
    oprofile-modules0.9, not 0.8
  * Closes: bug#300683: package fails to build from source in a
    sane way; required adding all of the build process in
    debian/build-modules.sh.  As of this writing, this package
    can only be built with pbuilder (if dpkg-buildpackage is used,
    cdebootstrap fails for an as yet unknown reason).

 -- Al Stone <ahs3@debian.org>  Mon,  5 Sep 2005 15:19:43 -0600

oprofile (0.9.1-1) unstable; urgency=low

  * Update to latest upstream.
  * Separating 'oprofile' into two source packages was a really bad idea;
    rejoined them, using this upstream version.
  * Added ARM, MIPS architectures as they are now supported.
  * Closes: bug#287767: would also like a version that is command line
    only (no X GUI) -- install 'oprofile-common' for the command line
    only portion of 'oprofile'; installing 'oprofile-gui' will bring in
    'oprofile-common', too; installing 'oprofile' now becomes a meta
    package so that previous users of 'oprofile' will see no difference.
  * Closes: bug#305131: new upstream
  * Closes: bug#319089: does not start -- libbfd-2.15.so not found; it's
    not supposed to be building against a libbfd.so at all.
  * Closes: bug#325249: uninstallable because of missing libqt3c102-mt 

 -- Al Stone <ahs3@debian.org>  Sun, 28 Aug 2005 12:25:57 -0600

oprofile (0.8.1-2) unstable; urgency=low

  * Closes: #293354 -- opreport man page errors 
  * Closes: bug#280970 -- oprofile-source: FTBFS on most arches;
    changed from using arch-specific control files (a bad idea) to
    vars in the control file (much easier to maintain -- thanks, Kurt)
  * Module makefile now has an 'install.debian' target for use with the
    normal 'make-kpkg' scripts, and an 'install.kernel' target to
    use when building and installing a module without 'make-kpkg.'
  * Closes: bug#269954 -- was missing a dependency on the proper
    kernel-image package in the control file for build a kernel module
    (debian/control.modules.in).

 -- Al Stone <ahs3@debian.org>  Mon,  7 Mar 2005 15:34:31 -0700

oprofile (0.8.1-1) unstable; urgency=low

  * Update to latest upstream.
  * Split this package into two source packages: oprofile and
    oprofile-source.  While this is more work for the maintainer, it
    should make it easier for the user that wants to create a kernel
    module (and that's where the most complaints seem to be).
  * Closes: bug#273849 -- when source was last upgraded, forgot
    to include the change to configure.in that forces libbfd.a to be
    used instead of libbfd.so (which is against policy).

 -- Al Stone <ahs3@debian.org>  Mon, 18 Oct 2004 16:13:07 -0600

oprofile (0.8-2) unstable; urgency=low

  * Closes: bug#252530 -- FTBS on amd64.  Added in the new architecture. 
    To both oprofile _and_ oprofile-source, this time.

 -- Al Stone <ahs3@debian.org>  Thu,  2 Sep 2004 16:30:08 -0600

oprofile (0.8-1) unstable; urgency=low

  * Updating to latest released upstream source.
  * Closes: bug#257466 -- new upstream available
  * Closes: bug#252530 -- FTBS on amd64.  Added in the new architecture. 
  * Closes: bug#265256 -- /lib/modules/2.4.26-1-686/oprofile/oprofile.o:
    Doesn't work with kernel-image-2.4.26-1-686 version 2.4.26-4 (fixed
    with upload of new module packages)

 -- Al Stone <ahs3@debian.org>  Tue, 31 Aug 2004 16:37:34 -0600

oprofile (0.7.1-4) unstable; urgency=low

  * Closes: bug#245300: Shouldn't mention just x86/ia64 in description 
  * Clean up override disparity by setting priority back to 'optional'

 -- Al Stone <ahs3@debian.org>  Thu, 22 Apr 2004 17:43:00 -0600

oprofile (0.7.1-3) unstable; urgency=low

  * Closes: bug#228020 -- please add PPC.  Also added architectures that
    should work: alpha, i386, ia64, parisc, ppc, sparc
  * Because this package depends on binutils-dev, and it is an 'extra'
    package, this one cannot be 'optional'.  Changed priority to be
    'extra' to conform with policy.

 -- Al Stone <ahs3@debian.org>  Fri, 19 Mar 2004 18:02:08 -0700

oprofile (0.7.1-2) unstable; urgency=low

  * Closes: bug#227576 -- depended on automake1.7 but didn't use it;
    corrected debian/rules to use AUTOMAKE variable instead of relying
    on automake 1.7 being set as the default version.
  * automake was being run twice; cleaned up debian/rules to preclude this.
  * aclocal was defaulting, usually to the wrong version, so set the
    ACLOCAL variable in debian/rules to get this done right.

 -- Al Stone <ahs3@debian.org>  Tue, 24 Feb 2004 16:02:32 -0700

oprofile (0.7.1-1) unstable; urgency=low

  * Updated to latest upstream source.
  * Closes: bug#227135 -- removed dependency on specific version of libbfd
  * Closes: bug#227248 -- binaries are no longer dynamically linked against
    libbfd-2.14.90.0.6.so, which is not present
  * Closes: bug#227075 -- unsatisfied build-depends on docbook-xsl-stylesheets
    which has been replaced with docbook-xsl
  * Closes: bug#226767 -- in oprofile-source, 'make-kpkg modules_image' fails
    if not executed as root; made module source a tar.gz as suggested
  * Closes: bug#227460 -- in oprofile-source: please provide as archive (this
    is a duplicate of #226767)
  * Closes: bug#227378 -- duplicate of #227135, #227248 
  * Closes: bug#232268 -- oprofile-source uses -liberty but does not have
    a build-depends on it
  * module/ia64/op_pmu.c was missing includes needed to compile properly

 -- Al Stone <ahs3@debian.org>  Tue, 17 Feb 2004 21:28:55 -0700

oprofile (0.6.1-3) unstable; urgency=low

  * Since we can't know what kernel is in use, relaxed the dependency
    on oprofile-modules<n> to a Recommends.  E.g., in 2.6 kernels,
    the OProfile kernel module is in the kernel and could already be
    built and available.
  * Added dependency on binutils-dev (for libbfd.so) to oprofile-modules<n>
  * The oprofile-modules-* packages incorrectly included a dependency on
    automake and kernel-package (they are needed in Build-Depends, though).
  * oprofile-source was missing a dependency on automake1.7, binutils-dev
  * Changed the Makefile.am files for ./dae and ./daemon to remove the
    test on whether or not --with-kernel-support was used (but left
    this in the configure step in debian/rules to force the configure
    to _not_ look for kernel source since the kernel modules will be
    built by a different process).  This forces both a 2.4 oprofiled
    daemon (./dae/oprofiled) and a 2.5 daemon (./daemon/oprofiled)
    to be built.  At the same time, these now get installed as daemons
    with different names, and oprofiled becomes a wrapper script that
    invokes the right daemon for the right kernel.
  * Added a note to README.Debian about the need to use install_vmlinux
    when building a kernel image with make-kpkg, if you want to profile
    the kernel.
  * oprofile-source now conflicts with known 2.6 kernel packages
  * initial upload.  Closes: bug#139475 (RFP).

 -- Al Stone <ahs3@debian.org>  Sun, 16 Nov 2003 16:25:45 -0700

oprofile (0.6.1-2) unstable; urgency=low

  * Added a note to README.Debian: the kernel module uses an option
    called "allow_unload" which changes whether or not the module
    will ignore rmmod.  Explained what this meant and why it's there.
  * Improved the text in README.Debian; better wording, "user-space"
    instead of the more informal (and possibly unclear) "user-land,"
    and consistent capitalization of "OProfile."
  * Improved the text in the package descriptions; better wording
    and consistent capitalization of "OProfile."
  * oprofile-source package was needed a Depends (not just a
    Build-Depends) for automake(>=1.6) and binutils-dev.
  * The kernel module build needed to put the .deb in /usr/src
    instead of /usr/src/modules.
  * Updated the build dependency for libqt3-dev (since it's been
    deprecated, or may be soon) to libqt3-mt-dev.

 -- Al Stone <ahs3@debian.org>  Thu, 18 Sep 2003 17:43:05 -0600

oprofile (0.6.1-1) unstable; urgency=low

  * Updated to latest version.

 -- Al Stone <ahs3@debian.org>  Sun, 14 Sep 2003 21:47:28 -0600

oprofile (0.6-1) unstable; urgency=low

  * Updated to 0.6 version (0.6.1 is pending) 

 -- Al Stone <ahs3@debian.org>  Sat, 13 Sep 2003 17:41:20 -0600

oprofile (0.5.4-4) unstable; urgency=low

  * Incorporate feedback from John Levon. 
  * Corrected AUTHORS email addresses.

 -- Al Stone <ahs3@debian.org>  Wed,  2 Jul 2003 10:38:05 -0600

oprofile (0.5.4-3) unstable; urgency=low

  * Really Stupid Error: make install did not install all of the user
    space binaries.  Forgot to bring forward the use of $DESTDIR in
    the Makefiles.

 -- Al Stone <ahs3@debian.org>  Wed, 25 Jun 2003 10:36:37 -0600

oprofile (0.5.4-2) unstable; urgency=low

  * Missed a dependency on oprofile-modules0.5.2 that should not have
    been in the control file.
  * Added code to double check kernel source has been configured before
    we build the oprofile module

 -- Al Stone <ahs3@debian.org>  Tue, 24 Jun 2003 17:34:25 -0600

oprofile (0.5.4-1) unstable; urgency=low

  * Update to latest source. 
  * Closes: bug#139475 -- RFP for oprofile

 -- Al Stone <ahs3@debian.org>  Mon, 23 Jun 2003 18:53:55 -0600

oprofile (0.5.3-4) unstable; urgency=low

  * lintian/linda reports oprofile-source debian/postinst script as
    not an executable script.  Don't have to fix it, but it can't
    hurt to get to no warnings at all.
  * Corrected build depends for oprofile-source and oprofile (was missing
    a dependency on automake)
  * Minor corrections to the HOWTOs for oprofile-source on further testing
  * Did not get m4/findkernel.m4 complete enough; added some additional
    places to check for source, and removed all occurrences of `uname -r`
    that I could find.
  * The variable KSRC was also not being set correctly; borrowed the
    script from findkernel.m4 and re-used it.

 -- Al Stone <ahs3@debian.org>  Mon, 23 Jun 2003 17:48:22 -0600

oprofile (0.5.3-3) unstable; urgency=low

  * Made m4/findkernel.m4 more robust; it only looked in one place to
    find the kernel source and headers, but there are more places to
    look.
  * Cleaned up the commentary in debian/rules
  * Cut away the cruft from debian/configure.modules.in (it's a subset
    of configure.in).
  * Tested kernel module build environment using debootstrap to build a
    chroot environment; rewrote portions of debian/rules to be cleaner,
    fixed up the module control file build-depends.
  * Added HOWTOs for ia64 and i386 to the docs provided by the
    oprofile-source package, which is used to add oprofile to existing
    kernels.  Included detailed instructions for building by hand
    and using make-kpkg.
  * We now provide oprofile-module0.5 instead of 0.5.x; all the 0.5.x
    versions are compatible enough, there's no need to introduce any
    further complexity.
  * Lots of miscellaneous cleanup of the HOWTOs, debian/rules and the
    oprofile-source files as part of verifying everything works on all
    platforms as expected.

 -- Al Stone <ahs3@debian.org>  Wed, 18 Jun 2003 17:56:22 -0600

oprofile (0.5.3-2) unstable; urgency=low

  * Corrected use of obsolete AC_TRY_COMPILE macro in configure.modules.in
  * Made the debian/rules clean more robust
  * Updated debian/Makefile.modules.in to debian/Makefile.modules.am,
    cutting out everything not needed.
  * Updated debian/configure.in to use the latest version
  * Corrected debian/rules: it needed to copy the ia64/ia32 versions of
    some files in the module directory and was not.
  * Updated debian/rules to correspond to new build model, and still be
    able to build kernel modules separately

 -- Al Stone <ahs3@debian.org>  Mon, 16 Jun 2003 17:06:59 -0600

oprofile (0.5.3-1) unstable; urgency=low

  * Updated to latest released upstream source; 0.5.2 and 0.5.3, unlike
    previous releases, seem to be fairly cooperative, with just incremental
    changes instead of the earlier wholesale replacements.
  * Added in a copy of the Release Notes from the web site, as part of
    the documentation.
  * Made sure release notes went with both packages produced (oprofile
    _and_ oprofile-sources).
  * Made sure AUTHORS file was included.

 -- Al Stone <ahs3@debian.org>  Fri, 13 Jun 2003 12:25:17 -0600

oprofile (0.5.2-1) unstable; urgency=low

  * Update to latest released version.  NB: as seems to be normal, this
    version conflicts with prior versions, so dependencies needed updating.
  * Added support for ia64 version.
  * Cleaned up some of the copyright info, added AUTHORS file.
  * Added in a copy of the Release Notes from the web site, as part of
    the documentation.

 -- Al Stone <ahs3@debian.org>  Fri, 13 Jun 2003 12:15:49 -0600

oprofile (0.4-5) unstable; urgency=low

  * Added dependency on libpopt-dev for oprofile-source (it was missing). 

 -- Al Stone <ahs3@debian.org>  Mon, 24 Mar 2003 10:41:16 -0700

oprofile (0.4-4) unstable; urgency=low

  * Forgot to make sure that the original source and the diff file
    were included (!)
  * Packaging done. Closes: #139475

 -- Al Stone <ahs3@debian.org>  Fri, 21 Mar 2003 21:07:43 -0700

oprofile (0.4-3) unstable; urgency=low

  * Corrected the description to refer to kernel-package as it should,
    and use the right name for oprofile-modules (not oprofile-modul*e*).
  * Moved some warnings from debconf to README.Debian so that they are
    more readily accessible.  Based on suggestions, did some significant
    rewording of the text to make clearer what's being said.
  * The oprofile-source kernel module build relied on `uname -r` when
    it should not have.  The problem was that you could build the module
    in a chroot environment and have it install in the wrong modules
    directory.
  * The build was kind of messed up; even when all you were doing was
    the build of the user-land components, configure was looking for
    things like kernel headers that are only needed when building the
    kernel module.  Fixed the rules file to configure properly depending
    on what we're building.
  * A debian/dirs file was being created for the kernel module and was
    mistakenly creating module directories it should not have.
  * Cleaned up the oprofile build-depends to be accurate.
  * -

 -- Al Stone <ahs3@debian.org>  Fri, 21 Mar 2003 21:07:35 -0700

oprofile (0.4-2) unstable; urgency=low

  * Bug report from the oprofile mailing list says that libpp.a is not
    to be installed at all, so removed it from the installation step

 -- Al Stone <ahs3@debian.org>  Mon, 11 Nov 2002 11:11:00 -0700

oprofile (0.4-1) unstable; urgency=low

  * Update to latest upstream 
  * Had to fix makefile in pp directory to install libpp.a in /usr/lib
    instead of /usr/bin.

 -- Al Stone <ahs3@debian.org>  Fri,  8 Nov 2002 13:52:58 -0700

oprofile (0.3-3) unstable; urgency=low

  * Cleanup problems with debian/Makefile.modules.in (install steps were
    all wrong, leftovers from prior version)

 -- Al Stone <ahs3@debian.org>  Fri,  8 Nov 2002 11:20:04 -0700

oprofile (0.3-2) unstable; urgency=low

  * Cleaned up debian/rules so make-kpkg works *correctly*; was using
    the wrong paths for kernel header and source files.
  * Added in the configure.modules.in file to be used by the make-kpkg
    build as it's configure.in; needed to remove all the dependencies
    that aren't needed.
  * Moved Makefile.modules.in and configure.modules.in to the debian
    directory since that's the only place that uses them (in make-kpkg).
  * Added debconf warning to oprofile-source; wanted to make sure that
    you knew that a make clean will be done in your kernel source directory
    when you do a make-kpkg.

 -- Al Stone <ahs3@debian.org>  Wed,  6 Nov 2002 16:55:10 -0700

oprofile (0.3-1) unstable; urgency=low

  * Upgrade to 0.3 upstream; this forces some dependency touch-up
  * Rules file for make-kpkg module build was retaining values from
    an initial config done during the creation of the package and was
    not using the variable values provided by make-kpkg
  * Added build dependency on libpopt-dev (it was missing)
  * Cleaned up debian/rules to accomodate changes since 0.2

 -- Al Stone <ahs3@debian.org>  Wed,  6 Nov 2002 16:22:25 -0700

oprofile (0.2-6) unstable; urgency=low

  * Bug: improved the way configure.in looked for kernel header files;
    it's not foolproof, but will probably work better for those that use
    the Debian kernel image/header/source packages.

 -- Al Stone <ahs3@debian.org>  Mon,  4 Nov 2002 14:07:12 -0700

oprofile (0.2-5) unstable; urgency=low

  * Added the events directory to the kernel module source package so
    it will compile
  * Added the util directory to the kernel module source package so
    it will compile
  * Added the dae directory to the kernel module source package so
    it will compile
  * Added a Makefile.modules.in so that make-kpkg would work properly
    (it only needs a subset of the entire source tree; this subset of
    Makefile.in compiles the subset).
  * The "Recommends" should have been "Suggests" in the control files
  * Changed the name of the virtual package oprofile-modules so that
    it includes the version number; dpkg cannot handle virtual package
    versioning well, so this makes sure we have the right modules.

 -- Al Stone <ahs3@debian.org>  Tue, 20 Aug 2002 15:57:59 -0600

oprofile (0.2-4) unstable; urgency=low

  * Completely re-vamped the way this package is built and
    structured, using some new templates for dh_make specific
    to kernel module type packages.

 -- Al Stone <ahs3@debian.org>  Mon, 19 Aug 2002 16:34:19 -0600

oprofile (0.2-3) unstable; urgency=low

  * Removed some of the remaining kernel stuff configure.in from
    the user-land only package; oprofile-module will have all the
    kernel stuff in it.

 -- Al Stone <ahs3@debian.org>  Fri, 16 Aug 2002 13:44:43 -0600

oprofile (0.2-2) unstable; urgency=low

  * Package cleanup: (1) fix man page problems, (2) clean up rules
    file, (3) added depends on kernel module
  * Removed/commented out the steps that build and install the kernel
    module; those will be in a separate kernel modules package
  * Added some missing links for man pages
  * xsltproc was being invoked to create doc/oprofile.html but was
    producing a zero-length file.  fixed the make to create the
    html properly.

 -- Al Stone <ahs3@debian.org>  Fri, 16 Aug 2002 11:14:29 -0600

oprofile (0.2-1) unstable; urgency=low

  * Initial Release.

 -- Al Stone <ahs3@debian.org>  Wed, 14 Aug 2002 18:03:29 -0600

